Suporte » Desenvolvendo com WordPress » Até que versão PHP o WordPress suporta?

  • Rodrigo

    (@vejapixel)


    Olá pessoal,

    Eu gostaria de saber até qual versão PHP o WordPress está suportando?
    Ativando o PHP 8.0 o WordPress tem suporte sem problemas?

    Agradeço!

Visualizando 3 respostas - 1 até 3 (de um total de 3)
  • CB

    (@cbrandt)

    Olá Rodrigo,

    Desde a versão 5.6 (estamos na 5.8.x), o WordPress é considerado “beta compatível” com PHP 8. Isso significa que houve um esforço para adaptar o WordPress ao PHP 8, mas devido ao grande número de mudanças, ainda pode haver fontes de incompatibilidades aqui e ali. Veja: https://make.wordpress.org/core/handbook/references/php-compatibility-and-wordpress-versions/.

    A princípio vc pode usar o PHP 8 e observar o comportamento, monitorando eventuais erros do PHP nos logs do seu servidor. Entretanto, é impossível saber se o tema e os plugins que vc escolher, agora ou no futuro, vão estar devidamente adaptados à nova versão do PHP. Então é tentar e observar.

    Dê uma olhada em: https://br.wordpress.org/support/atualizando-php/#antes-de-atualizar-sua-versao-do-php

    • Esta resposta foi modificada 11 meses atrás por CB.
    Criador do tópico Rodrigo

    (@vejapixel)

    Olá @cbrandt

    Ok, obrigado pelas informações. Vou atualizar e monitorar. Caso haja algum problema, estarei relatando para vocês.

    My site does not yet support PHP 8 and I am using WordPress 6.0. My theme says that it is already compatible with PHP but when I change from PHP version 7.4 to 8.0 the critical error message appears on the site.

    So, I see that something still has to be done.

Visualizando 3 respostas - 1 até 3 (de um total de 3)
  • O tópico ‘Até que versão PHP o WordPress suporta?’ está fechado para novas respostas.